{% extends 'base.html' %}
{% load static %}

{% block modal_cart %}
    {% include "includes/cart_button.html" %}
{% endblock modal_cart %}

{% block content %}
    <div class="row">
        <div class="container mt-5">
            <div class="row justify-content-center">
                <div class="col-md-6 bg-white p-4 mb-4 mx-3 rounded custom-shadow">
                    <h2 class="text-center mb-4">Авторизация</h2>
                    <form action="{% url 'user:login' %}" method="post">
                        {% csrf_token %}

                        {% if request.GET.next %}
                            <input type="hidden" name="next" value={{ request.GET.next }}>
                        {% endif %}

                        <div class="mb-3">
                            <label for="id_username" class="form-label">{{ form.username.label }}</label>
                            <input type="text" class="form-control"
                                   value="{% if form.username.value %}{{ form.username.value }}{% endif %}"
                                   name="username" id="id_username"
                                   placeholder="Enter your username"
                                    required>
                        </div>
                        <div class="mb-3">
                            <label for="id_password" class="form-label">{{ form.password.label }}</label>
                            <input type="password" class="form-control" name="password" id="id_password"
                                   placeholder="Enter your password" required>
                        </div>

                        <button type="submit" class="btn btn-dark btn-block">Войти</button>
                    </form>
                    <div class="mt-3">
                        <a href="#">Забыли пароль?</a> | <a href="{% url 'users:registration' %}">Создать аккаунт</a>
                    </div>
                    <hr>
                    <div class="text-center">
                        <p>Или авторизуйтесь через:</p>
                        <a href="#" class="btn btn-dark">
                            <img class="mx-1" src="{% static "deps/icons/google.svg" %}" alt="Catalog Icon" width="16" height="16">
                            Google
                        </a>
                        <a href="#" class="btn btn-dark">
                            <img class="mx-1" src="{% static "deps/icons/facebook.svg" %}" alt="Catalog Icon" width="16" height="16">
                            Facebook
                        </a>
                        <a href="#" class="btn btn-dark">
                            <img class="mx-1" src="{% static "deps/icons/github.svg" %}" alt="Catalog Icon" width="16" height="16">
                            GitHub
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}